haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Cabal.Completion.Completer.Snippet

Synopsis

- snippetCompleter :: Completer
- type TriggerWord = Text
- snippetMap :: CabalPrefixInfo -> Map TriggerWord Text

# Documentation

snippetCompleter :: Completer #

Maps snippet triggerwords with their completers

type TriggerWord = Text #

snippetMap :: CabalPrefixInfo -> Map TriggerWord Text #